// stores information to use for menu items
// in the GUI and for sorting the stocks
// on various data fields
public class StockDataMethodInfo {
    // Titles of fundamental data itmes.
    // These will become the menu items for the heat map.
    public static final String[] dataItems = {"Percent Change", 
            "Percent Volume", "Price to Earnings Ratio",
            "Market Capitalization", "Dividend Yield"};
    
    // parallel array to dataItems
    private static final String[] methodNames = {"getPercentChange",
            "getPercentVolume", "getPERatio", "getMarketCap", 
            "getYield"};
;
    
    private static final boolean[] firstObjectFirstOperand 
            = {true, true, false, true, true};
    
    static {
        // check arrays corrent lengths
        assert dataItems.length == methodNames.length;
        assert dataItems.length  == methodNames.length;
        assert dataItems.length  == firstObjectFirstOperand.length;
    }
    
    public int size() {
        return methodNames.length;
    }
    
    public String getDataName(int i) {
        return dataItems[i];
    }
    
    public String getMethodName(int i) {
        return methodNames[i];
    }
    
    public boolean getSubFirst(int i) {
        return firstObjectFirstOperand[i];
    }
}
